Bug 218266 - kernel dm crypt: possible data corruption if running over md-raid5
Summary: kernel dm crypt: possible data corruption if running over md-raid5
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-04 09:44 UTC by Milan Broz
Modified: 2013-03-01 04:04 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 04:21:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4U4 patch (929 bytes, patch)
2006-12-04 16:24 UTC, Milan Broz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description Milan Broz 2006-12-04 09:44:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Milan Broz 2006-12-04 09:49:44 UTC
yes, Ctrl+s works even with no decription filled :-)

Bug description here:

Recently found bug in dm-crypt:

Fix corruption issue with dm-crypt on top of software raid5. Cancelled
readahead bio's that report no error, just have BIO_UPTODATE cleared
were reported as successful reads to the higher layers (and leaving
random content in the buffer cache). 

Patch is on way to stable kernel, already fixed upstream (by another code change).

Comment 2 RHEL Product and Program Management 2006-12-04 10:05:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Milan Broz 2006-12-04 16:24:01 UTC
Created attachment 142744 [details]
RHEL4U4 patch

Attached equivalent RHEL patch from dmcrypt mailinglist.

Comment 5 Jason Baron 2006-12-13 19:22:45 UTC
committed in stream U5 build 42.31. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 6 Jay Turner 2006-12-18 15:02:53 UTC
QE ack for RHEL4.5.

Comment 8 Mike Gahagan 2007-04-05 18:58:37 UTC
Fix is in the -52 kernel.


Comment 10 Red Hat Bugzilla 2007-05-08 04:21:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Note You need to log in before you can comment on or make changes to this bug.